from data.data import Data
from data.data_mod import DataMod
from data.data_obs import DataObs
from data.data_obs import list_season_obs
from data.data_ensembles import DataEns
from data.data_ecearth23 import DataEC23
from data.data_ecmwfS4 import DataS4
from dateutil.relativedelta import *
from data.common import *
import os
import datetime
import copy
import shutil
import sys
from data.set_output_name import *

def calc_monmean(varini, explst, year1, year2, monstart, workdir):
    """ this function will calculate and write the output
    of the seasonal (between leadtime month 02 and 04)
    number of day and the percentile per for all years between year1
    and year2 for all exp in explst and all observation in obslist
    -var: the name of the input variable
    -explist: list of experiments or observations
    -year1: first years of the time period
    -year2: last years of the time period
    -monstrt: startmonth
    -workdir: path of the working directory
    """
    
    
    date1=datetime.date(year1,monstart,1)
    date2=datetime.date(year2,monstart,1)


    #loop on experiments
    for expname in explst: 
        if (not os.path.isdir(workdir)):
            os.mkdir(workdir)
        os.chdir(workdir)

        #creating the object according to the type of experiment/observations
        if (expname in  ["EnsEcmwfSeas", "EnsIfmSeas","EnsCmccSeas", "EnsUkmoSeas"]):
            listexp=[DataEns(expname, varini)]
        elif (expname in ["S4"]):
            print("bla")
            listexp=[DataS4(expname, varini)]
        elif (expname in ["b0cm", "b0gq"]):
            listexp=[DataEC23(expname, varini)]
        elif (expname in ["ERAint", "ERAland"]):
            d1_seas=date1+relativedelta(months=+1)
            d2_seas=date2+relativedelta(months=+1)
            listexp=list_season_obs(expname, varini, date1, date2, 1)

        for exp in listexp:
            exp.ready(date1, date2)
            exp.see()
            inputdir=exp.get_inputdir()
            outputdir="/".join(inputdir.split("/")[:-3])+"/monthly_mean/"
            exp.set_outputdir(outputdir)
        

         #seasonal percentile
            exp.cdo_statistic("monmean", varini)
            
            exp.write_output()
            #shutil.rmtree(workdir) 


        
