import sys
def set_output_name(varini):
    """this function return the unit and 
    long name associated to varini
    arguments:
    - varini: variable shortname
    outputs:
    - unit
    - unit_long
    - long_name)"""
    #remove the period for the climatology from the variable name
    if ("nbdays" in varini)|("anom" in varini):
        varini="_".join(varini.split("_")[:-1])

    unitdict={"tas":"K", "tasmin":"K", "tasmax":"K", 
              "tasmin_q10":"K", "tasmax_q90":"K",
              "prlr_01-04_nbdays_q90":"percent",
              "prlr_01-04_q90":"m/s",
              "prlr_nbdays_q90":"percent",
              "prlr_q90":"m/s",
              "tasmax_01-04_nbdays_q90":"percent",
              "tasmax_01-04_q90":"K",
              "tasmax_nbdays_q90":"percent",
              "tasmax_q90":"K",
              "tasmin_01-04_nbdays_q10":"percent",
              "tasmin_01-04_nbdays_q90":"percent",
              "sfcWind_01-04_nbdays_q10":"percent",
              "sfcWind_01-04_nbdays_q90":"percent",
              "tasmin_01-04_q10":"K",
              "tasmin_01-04_q90":"K",           
              "sfcWind_01-04_q10":"K",
              "sfcWind_01-04_q90":"K",
              "tasmin_nbdays_q10":"percent",
              "tasmin_nbdays_q90":"percent",
              "tasmin_q10":"K",
              "tasmin_q90":"K",
              "sfcWind":"m/s",
              "sfcWind_q90":"m/s",
              "sfcWind_q10":"m/s",
              "sfcWind_nbdays_q10":"percent",
              "sfcWind_nbdays_q90":"percent",
              "prlr":"m/s",
              "psl6h":"Pa",
              "mrso":"m**3/m**-3",
              "mrso_sdanom":"",
              "mrso_soil2003_sdanom":"",
              "mrso_soil2010_sdanom":"",
              "mrso_anom":"m**3/m**-3",
              "tas_Europe_anom":"K",
              "tasmin_Europe_anom":"K",
              "tasmax_Europe_anom":"K",
              "tas_EuropeSmall_anom":"K",
              "tasmin_EuropeSmall_anom":"K",
              "tasmax_EuropeSmall_anom":"K",
              "mrso_daymean":"m**3/m**-3",
              "mrso13_anom":"m**3/m**-3",
              "mrso12_anom":"m**3/m**-3",
              "psl18h":"Pa"
           }

    unitlongdict={"tas":"Kelvin", "tasmin":"Kelvin", "tasmax":"Kelvin", 
                  "tasmin_q10":"Kelvin", "tasmax_q90":"Kelvin",
                  "prlr_01-04_nbdays_q90":"percentage",
                  "prlr_01-04_q90":"m/s",
                  "prlr_nbdays_q90":"percentage",
                  "prlr_q90":"m/s",
                  "tasmax_01-04_nbdays_q90":"percentage",
                  "tasmax_01-04_q90":"Kelvin",
                  "tasmax_nbdays_q90":"percentage",
                  "tasmax_q90":"Kelvin",
                  "tasmin_01-04_nbdays_q10":"percentage",
                  "tasmin_01-04_nbdays_q90":"percentage",
                  "tasmin_01-04_q10":"Kelvin",
                  "tasmin_01-04_q90":"Kelvin",
                  "tasmin_nbdays_q10":"percentage",
                  "tasmin_nbdays_q90":"percentage",
                  "tasmin_q10":"Kelvin",
                  "tasmin_q90":"Kelvin",
                  "tas_Europe_anom":"Kelvin",
                  "tasmin_Europe_anom":"Kelvin",
                  "tasmax_Europe_anom":"Kelvin",
                  "tas_EuropeSmall_anom":"Kelvin",
                  "tasmin_EuropeSmall_anom":"Kelvin",
                  "tasmax_EuropeSmall_anom":"Kelvin",
                 "sfcWind_q90":"m/s",
                  "sfcWind_q10":"m/s",
                  "sfcWind":"m/s",
                  "sfcWind_01-04_q10":"m/s",
                  "sfcWind_01-04_q90":"m/s",
                  "sfcWind_nbdays_q10":"percentage",
                  "sfcWind_nbdays_q90":"percentage",
                  "sfcWind_01-04_nbdays_q10":"percentage",
                  "sfcWind_01-04_nbdays_q90":"percentage",
                  "prlr":"m/s",
                  "psl6h":"Pa",
                  "mrso":"m**3/m**-3",
                  "mrso_soil2003_sdanom":"",
                  "mrso_soil2010_sdanom":"",
                  "mrso_sdanom":"",
                  "mrso_anom":"m**3/m**-3",
                  "mrso_daymean":"m**3/m**-3",
                  "mrso13_anom":"m**3/m**-3",
                  "mrso12_anom":"m**3/m**-3",
                  "psl18h":"Pascal"
                }

    tas="daily 2m temperature "
    prlr="daily precipitation "
    tasmin="daily minimum 2m temperature "
    tasmax="daily maximum 2m temperature "
    sfcWind="module of 6hourly wind "
    mrso="Volumetric soil water averaged on the layer 1 to 4"
    mrso13="Volumetric soil water averaged on the layer 1 to 3"
    mrso12="Volumetric soil water averaged on the layer 1 to 2"
    psl18h="Sea Level Pressure at 18h"

    sdanom="standardized anomalies with respect to the climatology of "
    anom="anomalies with respect to the climatology of "
    daymean="daily mean"          
    q10="10th percentile of "
    q90="90th percentile of "
    nbdays_q90="percentage of days greater than the climatological "+q90
    nbdays_q10="percentage of days less than the climatological "+q90
    s0104="between leadtime month 02 and 04"
    reg2003="averaged over 5W20E-43N55N"
    reg2010="averaged over 25E55E-45N60N"
    Europe="averaged over Europe 20W70E-25N75N"
    EuropeSmall="averaged over Europe 20W45E-35N70N"


    varlongdict={"tas":tas, 
                 "tasmin":tasmin,
                 "tasmax":tasmax,
                 "prlr":prlr,
                 "sfcWind":sfcWind,
                 "tasmin_q10":
                     q10+tasmin, 
                 "tasmax_q90":
                     q90+tasmax,
                 "tasmin_q10":
                     q10+tasmin,
                 "tasmin_q90":
                     q10+tasmin,
                 "sfcWind_q10":
                     q10+sfcWind,
                 "sfcWind_q90":
                     q90+sfcWind,
                 "prlr_q90":
                     q90+prlr,
                 "prlr_01-04_q90":q90+prlr+s0104,
                 "tasmax_01-04_q90":
                     q90+tasmax+s0104,
                 "tasmin_01-04_q10":
                     q10+tasmax+s0104,
                 "sfcWind_01-04_q90":
                     q90+sfcWind+s0104,
                 "sfcWind_01-04_q10":
                     q10+sfcWind+s0104,
                 "prlr_01-04_nbdays_q90":
                     nbdays_q90+prlr+s0104,
                 "prlr_nbdays_q90":
                     nbdays_q90+prlr,
                 "tasmax_01-04_nbdays_q90":
                     nbdays_q90+tasmax+s0104,
                 "tasmax_nbdays_q90":
                     nbdays_q90+tasmax,
                 "tasmin_01-04_nbdays_q10":
                     nbdays_q10+tasmin+s0104,
                 "tasmin_01-04_nbdays_q90":
                     nbdays_q90+tasmin+s0104,
                 "tasmin_nbdays_q10":
                     nbdays_q10+tasmin,
                 "tasmin_nbdays_q90":
                     nbdays_q90+tasmin,
                 "sfcWind_nbdays_q10":
                     nbdays_q10+sfcWind,
                 "sfcWind_nbdays_q90":
                     nbdays_q90+sfcWind,
                 "sfcWind_01-04_nbdays_q10":
                     nbdays_q10+sfcWind+s0104,
                 "sfcWind_01-04_nbdays_q90":
                     nbdays_q90+sfcWind+s0104,
                 "psl6h":"monthly mean of 6hourly sea level pressure",
                 "mrso":mrso,
                 "mrso_soil2003_sdanom":sdanom+mrso+reg2003,
                 "mrso_soil2010_sdanom":sdanom+mrso+reg2010,
                 "tas_Europe_anom":sdanom+tas+Europe,
                 "tasmin_Europe_anom":sdanom+tasmin+Europe,
                 "tasmax_Europe_anom":sdanom+tasmax+Europe,
                 "tas_EuropeSmall_anom":sdanom+tas+EuropeSmall,
                 "tasmin_EuropeSmall_anom":sdanom+tasmin+EuropeSmall,
                 "tasmax_EuropeSmall_anom":sdanom+tasmax+EuropeSmall,
                "mrso_sdanom":sdanom+mrso,
                 "mrso_anom":anom+mrso,
                 "mrso_daymean":daymean+mrso,
                 "mrso13_anom":anom+mrso13,
                 "mrso12_anom":anom+mrso12,
                 "psl18h":psl18h
                }
    
    unit=unitdict.get(varini)
    unit_long=unitlongdict.get(varini)
    long_name=varlongdict.get(varini)

    if (unit == None) | (unit_long == None) | (long_name == None):
        print("the variable "+varini+"is no available in the set_output_name function")
        print("no value assigned")
        unit=""
        unit_long=""
        long_name=""
    return((unit,unit_long,long_name))
